# max2605 tuning curve data extraced from the PDF file, first
# converted to PostScript by xpdf.  That file includes
# y grid lines at 117.909 133.171 148.432 163.694 178.956 194.217 209.479 224.74 240.002
#    represent 45 MHz to 65 MHz in 2.5 MHz steps
# x grid lines at 537.74 517.39 497.04 476.693 456.343 435.995 415.646
#    represent 3.0 V to 0.0 V in 0.5 V steps
load -force max2605.dat2

vt=(max2605(:,1)-415.646)/(537.74-415.646)*3;
f=(max2605(:,2)-117.909)/(240.002-117.909)*20+45;

# numerical derivative
fa=0.5*(f(1:57)+f(2:58));
dfdvn=diff(f)./diff(vt);

if (0)
  gset size .6,1
  gset yrange [45:65]
  gset xlabel 'Vtune (V)'
  gset ylabel 'Frequency (MHz)'
  gset format x "%.1f"
  gset grid mytics ytics xtics
  gset mytics 2.5
  plot(vt,f,";;")
else
  # pwr=.333;
  # deg=1;
  # pp=polyfit(vt(3:9).^pwr,f(3:9),deg)
  pp=polyfit(vt,(f-35).^2,2);
  if (0)
    vtr=linspace(0,3,200);
    plot (vt,f,"-;data sheet;",vtr,sqrt(polyval(pp,vtr))+35,"-;fit;")
  else
    rr=1.19;    # frequency scale factor from data sheet to our usage
    vtr=linspace(0.4,2.4,200);   # claimed valid range, can actuallly exceed some
    fr=(sqrt(polyval(pp,vtr))+35);
    dfdv=polyval(polyderiv(pp'),vtr)/2./sqrt(polyval(pp,vtr));
    # plot(dfdv*rr,(sqrt(polyval(pp,vtr))+35)*rr)
    gset xlabel "dF/dV (MHz/V)"
    gset ylabel "F (MHz)"
    gset yrange [45:65]
    gset xrange [0:10]
    gset size .5,.7
    plot(diff(f)./diff(vt), fa, ";numerical;", dfdv, (sqrt(polyval(pp,vtr))+35), ";curve fit;")
    minkf = min(dfdv)*2*pi*1.e6
    maxkf = max(dfdv)*2*pi*1.e6
    minf = min(fr)
    maxf = max(fr)
  endif
endif
