if (!exist("vco1"))
   load vco1.dat
endif

tt=[1:200000]/1.250;    % nanoseconds
f=.068579474;
%  plot(rem(tt(1:1000)*f,1),vco1(1:1000))

ncyc=floor(200000/1.25*f)-1;
s=[1:ncyc];
ix=floor(s*(1.25/f)+3)';
z=[vco1(ix), vco1(ix+1), vco1(ix+2), vco1(ix+3), vco1(ix+4)];
%  plot(s,z(:,2),s,z(:,3),s,z(:,4),s,z(:,5))
thresh=.015;        % Volt

cross=ix+2+(thresh-z(:,3))./(z(:,4)-z(:,3));  % interpolated sample number
jitter=(cross/1.25-s'/f-4)*1000;              % ps

if (1)
   gset autoscale
   gset xlabel "Elapsed time ({/Symbol m}s)"
   gset ylabel "Edge jitter (ps)" -1
   plot(s/f/1000,jitter,";;")
else
  gset xlabel "f (MHz)"
  gset xrange [0.03:40]
  gset yrange [.01:30]
  j2 = detrend(jitter(1:8192));
  f2=abs(fft(jitter,8192))/4096;
  loglog([3:4095]*f/8.192,f2(4:4096),";;")
endif

if (0)
  j3=detrend(jitter(1:8192));
  f3=fft(j3,8192);
  f3(1860)=0;
  f3(1861)=0;
  f3(1862)=0;
  f3(6333)=0;
  f3(6332)=0;
  f3(6334)=0;
  j3=ifft(f3);
  plot([1:8192],real(j3));
  std(detrend(real(j3)))
endif
